create type CompPrice AS TABLE (
   CALCULATION_SCHEMA_CD  varchar(4),
   SEQ_NO                 numeric(3),
   COMP_PRICE_CD          varchar(4) ,
   COMP_PRICE_TEXT        varchar(40),
   CALCULATION_TYPE       varchar(1) ,
   PLUS_MINUS_FLAG        varchar(1) ,
   INVENTORY_FLAG         varchar(1),
   CONDITION_CATEGORY     varchar(1) ,
   BASE_VALUE_F           numeric(3),
   BASE_VALUE_T           numeric(3),
   CONDITION_RULE         varchar(1) ,
   ACCRUAL_FLAG_TYPE      varchar(1) ,
   COMP_PRICE_RATE        NUMERIC(13,5),
   PRICE                  NUMERIC(13,5),
   TAX_CD                 VARCHAR(2),
   SUPP_DEL_COST          VARCHAR(10), 
   SUPP_CD_DELIVERY       VARCHAR(6),
   ID INT IDENTITY(1,1)
)